﻿// created on 24/05/2003 at 22:41
using System;
using System.Windows.Forms;
using J4L.RBarcode;
using System.Drawing.Printing;

namespace MyForm {
	public class DMForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button btnRefresh;
		private System.Windows.Forms.Button btnSave;
		private System.Windows.Forms.Button btnExit;
		private System.Windows.Forms.TextBox textDotSize;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.TextBox txtMargin;
		private System.Windows.Forms.Label label;
		private System.Windows.Forms.TextBox txtData;
		private System.Windows.Forms.ComboBox cEncoding;
		private RDatamatrix bc;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Button btnPrint;
		private System.Windows.Forms.ComboBox cFormat;
		private PrintDocument printDocument1;
		
		public DMForm()
		{
			InitializeComponent();
			cEncoding.SelectedIndex=0;
			cFormat.SelectedIndex=0;
		}
		
		// THIS METHOD IS MAINTAINED BY THE FORM DESIGNER
		// DO NOT EDIT IT MANUALLY! YOUR CHANGES ARE LIKELY TO BE LOST
		void btnRefreshClick(object sender, System.EventArgs e)
		{
			bc.Code=txtData.Text;
			if (cFormat.SelectedIndex>=0) bc.PreferredFormat= cFormat.SelectedIndex-1;
			if (cEncoding.SelectedIndex>=0) bc.Encoding=(RDatamatrix.tEncoding) cEncoding.SelectedIndex;
			bc.DotsPixel=Convert.ToInt16(this.textDotSize.Text);
			bc.BarTopMargin=Convert.ToInt16(this.txtMargin.Text);
			bc.BarLeftMargin=Convert.ToInt16(this.txtMargin.Text);			
			bc.Invalidate();			
		}
		
		void btnSaveClick(object sender, System.EventArgs e)
		{
			btnRefreshClick(sender,e);
			bc.saveToFile("datamatrix.gif","GIF");
			MessageBox.Show("Barcode saved to datamatrix.gif");
						
		}
		
		private void printDocument1_PrintPage(object sender, 
			System.Drawing.Printing.PrintPageEventArgs e)
			{
   				//e.Graphics.FillRectangle(Brushes.Red, 
     			//new Rectangle(500, 500, 500, 500));
				bc.paintBarcode(e.Graphics);
				
			}
			
		void btnPrintClick(object sender, System.EventArgs e)
		{
			printDocument1=new PrintDocument();
			this.printDocument1.PrintPage += new System.Drawing.Printing.PrintPageEventHandler(this.printDocument1_PrintPage);			
			printDocument1.Print();
			
		}
		
		void btnExitClick(object sender, System.EventArgs e)
		{
			this.Close();
		}
		
		void InitializeComponent() {
			this.cFormat = new System.Windows.Forms.ComboBox();
			this.btnPrint = new System.Windows.Forms.Button();
			this.label2 = new System.Windows.Forms.Label();
			this.bc = new RDatamatrix();
			this.cEncoding = new System.Windows.Forms.ComboBox();
			this.txtData = new System.Windows.Forms.TextBox();
			this.label = new System.Windows.Forms.Label();
			this.txtMargin = new System.Windows.Forms.TextBox();
			this.label4 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label7 = new System.Windows.Forms.Label();
			this.textDotSize = new System.Windows.Forms.TextBox();
			this.btnExit = new System.Windows.Forms.Button();
			this.btnSave = new System.Windows.Forms.Button();
			this.btnRefresh = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// cFormat
			// 
			this.cFormat.Items.AddRange(new object[] {
						"AUTO",
						"C10X10",
						"C12X12",
						"C14X14",
						"C16X16",
						"C18X18",
						"C20X20",
						"C22X22",
						"C24X24",
						"C26X26",
						"C32X32",
						"C36X36",
						"C40X40",
						"C44X44",
						"C48X48",
						"C52X52",
						"C64X64",
						"C72X72",
						"C80X80",
						"C88X88",
						"C96X96",
						"C104X104",
						"C120X120",
						"C132X132",
						"C144X144",
						"C8X18",
						"C8X32",
						"C12X26",
						"C12X36",
						"C16X36",
						"C16X48"});
			this.cFormat.Location = new System.Drawing.Point(144, 288);
			this.cFormat.Name = "cFormat";
			this.cFormat.Size = new System.Drawing.Size(112, 21);
			this.cFormat.TabIndex = 40;
			this.cFormat.Text = "AUTO";
			// 
			// btnPrint
			// 
			this.btnPrint.Location = new System.Drawing.Point(204, 396);
			this.btnPrint.Name = "btnPrint";
			this.btnPrint.TabIndex = 34;
			this.btnPrint.Text = "Print";
			this.btnPrint.Click += new System.EventHandler(this.btnPrintClick);
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(24, 288);
			this.label2.Name = "label2";
			this.label2.TabIndex = 39;
			this.label2.Text = "Format";
			// 
			// bc
			// 
			this.bc.Location = new System.Drawing.Point(20, 12);
			this.bc.Name = "bc";
			this.bc.Size = new System.Drawing.Size(360, 196);
			this.bc.TabIndex = 36;
			// 
			// cEncoding
			// 
			this.cEncoding.Items.AddRange(new object[] {
						"ASCII",
						"C40",
						"TEXT",
						"BINARY",
						"NONE",
						"AUTO"});
			this.cEncoding.Location = new System.Drawing.Point(144, 256);
			this.cEncoding.Name = "cEncoding";
			this.cEncoding.Size = new System.Drawing.Size(112, 21);
			this.cEncoding.TabIndex = 42;
			this.cEncoding.Text = "AUTO";
			// 
			// txtData
			// 
			this.txtData.Location = new System.Drawing.Point(88, 224);
			this.txtData.Name = "txtData";
			this.txtData.Size = new System.Drawing.Size(272, 20);
			this.txtData.TabIndex = 38;
			this.txtData.Text = "This is a Datamatrix barcode";
			// 
			// label
			// 
			this.label.Location = new System.Drawing.Point(24, 224);
			this.label.Name = "label";
			this.label.Size = new System.Drawing.Size(40, 23);
			this.label.TabIndex = 37;
			this.label.Text = "Data";
			// 
			// txtMargin
			// 
			this.txtMargin.Location = new System.Drawing.Point(144, 352);
			this.txtMargin.Name = "txtMargin";
			this.txtMargin.Size = new System.Drawing.Size(80, 20);
			this.txtMargin.TabIndex = 46;
			this.txtMargin.Text = "20";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(24, 352);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(56, 23);
			this.label4.TabIndex = 44;
			this.label4.Text = "Margin";
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(24, 256);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(120, 23);
			this.label6.TabIndex = 41;
			this.label6.Text = "Encoding";
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(24, 320);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(64, 23);
			this.label7.TabIndex = 43;
			this.label7.Text = "Dot Size";
			// 
			// textDotSize
			// 
			this.textDotSize.Location = new System.Drawing.Point(144, 320);
			this.textDotSize.Name = "textDotSize";
			this.textDotSize.Size = new System.Drawing.Size(80, 20);
			this.textDotSize.TabIndex = 45;
			this.textDotSize.Text = "4";
			// 
			// btnExit
			// 
			this.btnExit.Location = new System.Drawing.Point(284, 396);
			this.btnExit.Name = "btnExit";
			this.btnExit.TabIndex = 35;
			this.btnExit.Text = "Exit";
			this.btnExit.Click += new System.EventHandler(this.btnExitClick);
			// 
			// btnSave
			// 
			this.btnSave.Location = new System.Drawing.Point(124, 396);
			this.btnSave.Name = "btnSave";
			this.btnSave.TabIndex = 33;
			this.btnSave.Text = "Save";
			this.btnSave.Click += new System.EventHandler(this.btnSaveClick);
			// 
			// btnRefresh
			// 
			this.btnRefresh.Location = new System.Drawing.Point(44, 396);
			this.btnRefresh.Name = "btnRefresh";
			this.btnRefresh.TabIndex = 32;
			this.btnRefresh.Text = "Refresh";
			this.btnRefresh.Click += new System.EventHandler(this.btnRefreshClick);
			// 
			// DMForm
			// 
			this.ClientSize = new System.Drawing.Size(400, 430);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
						this.txtMargin,
						this.textDotSize,
						this.label4,
						this.label7,
						this.cEncoding,
						this.label6,
						this.cFormat,
						this.label2,
						this.txtData,
						this.label,
						this.bc,
						this.btnSave,
						this.btnRefresh,
						this.btnExit,
						this.btnPrint});
			this.ResumeLayout(false);
		}
	}
}
